Package twisted :: Package scripts :: Module tktwistd

[show private | hide private]
[frames | no frames]

## Module twisted.scripts.tktwistd

Implementation module for the graphical version of the `twistd` command.

Classes
`TkTwistdFrame` |
`TkTwistdMenu` |

Function Summary
| `askdirectory(*args, **kw)`
| `pickOptions(master, filename)`
| `run()`

Variable Summary
`tuple` | `FILE_TYPES`
`SelectReactor` | `reactor`

Variable Details

### FILE_TYPES

  Type:
    `tuple`
  Value:

        (('Twisted Application Pickle', '*.tap'),
         ('Twisted Application Source', '*.tas'),
         ('Twisted Application XML', '*.tax'),
         ('Encrypted Application Pickle', '*.etap'),
         ('Encrypted Application Source', '*.etas'),
         ('Encrypted Application XML', '*.etax'),
         ('All Files', '*'))

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

Generated by Epydoc 1.1 on Sat Feb 15 21:18:10 2003 | http://epydoc.sf.net